/* $Header: /home/kig/work/convert/src/RCS/cyrfrom.h,v 1.1 1996/10/20 19:37:31 kig Exp kig $ */

/*******************************************************************************
*
*  FILE
*	cyrfrom.h
*
*  REMARKS
*	vi: set tabsize=4
*
*  AUTHOR
*	Konstantin Gredeskoul <kig@cyber.com.au>
*
*******************************************************************************/

#ifndef	_CYRFROM_
#define	_CYRFROM_

typedef struct xcyrcode {
        char    *left;
        char    *right;
} cyrcode; 

cyrcode	*pcode;

/*
 * Codes is a array of relations between 
 * Cyrillic characters in Alternative Encoding for MS-DOS and
 * English trasliterations.
 */
cyrcode codes[] = {
        /* lower case */
        "\xa0", "a",
        "\xa1", "b",
        "\xa2", "v",
        "\xa3", "g",
        "\xa4", "d" ,
        "\xa5", "e",
        "\xf1", "yo",
        "\xa6", "zh",
        "\xa7", "z",
        "\xa8", "i",
        "\xa9", "j",
        "\xaa", "k",
        "\xab", "l",
        "\xac", "m",
        "\xad", "n",
        "\xae", "o",
        "\xaf", "p",
        "\xe0", "r",
        "\xe1", "s",
        "\xe2", "t",
        "\xe3", "u",
        "\xe4", "f",
        "\xe5", "h",
        "\xe6", "ts",
        "\xe7", "ch",
        "\xe8", "sh",
        "\xe9", "sh",
        "\xea", "",
        "\xeb", "y",
        "\xec", "'",
        "\xed", "e",
        "\xee", "yu",
        "\xef", "ya",

        /* upper case */
        "\x80", "A",
        "\x81", "B",
        "\x82", "V",
        "\x83", "G",
        "\x84", "D",
        "\x85", "E",
        "\xf0", "Yo",
        "\x86", "Zh",
        "\x87", "Z",
        "\x88", "I",
        "\x89", "J",
        "\x8a", "K",
        "\x8b", "L",
        "\x8c", "M",
        "\x8d", "N",
        "\x8e", "O",
        "\x8f", "P",
        "\x90", "R",
        "\x91", "S",
        "\x92", "T",
        "\x93", "U",
        "\x94", "F",
        "\x95", "H",
        "\x96", "Ts",
        "\x97", "Ch",
        "\x98", "Sh", 
        "\x99", "Sh",
        "\x9a", "",
        "\x9b", "Y",
        "\x9c", "'",
        "\x9d", "E",
        "\x9e", "Yu",
        "\x9f", "Ya",
};

#endif /* _CYRFROM_ */

